
%global meadversion 1.3.0
%global namedversion 1.3.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-dmr}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.0.Final-redhat-1

Name:             %{?scl_prefix}jboss-dmr
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss DMR
Group:            Development/Libraries

%if %with mead
Source100: jboss-dmr-1.3.0.Final-redhat-1-scm-sources.zip
Source102: jboss-dmr-1.3.0.Final-redhat-1.pom
Source103: jboss-dmr-1.3.0.Final-redhat-1.jar
Source104: jboss-dmr-1.3.0.Final-redhat-1-project-sources.tar.gz
Source105: jboss-dmr-1.3.0.Final-redhat-1-javadoc.jar
Source106: jboss-dmr-1.3.0.Final-redhat-1-sources.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-dmr
BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the Dynamic Model Representation.

%if %with javadoc
%package javadoc
Summary:          Javadoc for jboss-dmr
Group:            Documentation

Requires:         unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-dmr -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-dmr-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-dmr-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-dmr-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-dmr-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-dmr-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-dmr-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-dmr-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-dmr-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-dmr-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-dmr-%{namedversion} %{buildroot}%{_javadocdir}/jboss-dmr
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-dmr
%defattr(0644,root,root,0755)
%{_javadir}/jboss-dmr-%{namedversion}.jar
%{_javadir}/jboss-dmr.jar
%if %with javadoc
%{_javadir}/jboss-dmr-%{namedversion}-javadoc.jar
%{_javadir}/jboss-dmr-javadoc.jar
%endif
%{_javadir}/jboss-dmr-%{namedversion}-sources.jar
%{_javadir}/jboss-dmr-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-dmr-%{namedversion}
%{_javadocdir}/jboss-dmr
%endif


%changelog
* Wed Jul 08 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.0-1.Final_redhat_1.1
- Build with JDK7

* Wed Jul 08 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.0-1.Final_redhat_1.1
- Build with JDK7

* Thu Feb 19 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.2.2-1.Final_redhat_1.1
- Upgrade to 1.2.2.Final

* Fri Nov 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.2.1-1.Final_redhat_1.1
- Upgrade to 1.2.1.Final

* Tue Sep 10 2013 Hui Wang <huwang@redhat.com> - 1.2.0-1.Final_redhat_1.1
-Upgrade to 1.2.0.Final

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 1.1.6-1.Final_redhat_1
- Upgrade to 1.1.6.Final

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 1.1.4-1.Final_redhat_1
- Upgrade to 1.1.4.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.1-8.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.1.1-7.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.1-6.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.1-6.Final_redhat_1.1
- Rebuild using cache signing

* Wed Apr 18 2012 Hui Wang <huwang@redhat.com> 1.1.1-6.Final_redhat_1
- Change jboss-parent'version to 8-redhat-1
- Add javadoc subpackage

* Wed Mar 14 2012 Hui Wang <huwang@redhat.com> 1.1.1-5.Final_redhat_1.1
- New wrapper
- Remove extra %%{name} from installing path
- Fix release tag

* Tue Feb 28 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-4
- Populate javadir-signed

* Mon Jan 30 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-3
- Cookcc not required at run-time

* Mon Jan 09 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-2
- Wrap MEAD build for EAP 6

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.1.1-1
- Upstream release 1.1.1.Final

* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Spec file cleanup

* Mon Aug 01 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

